summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-1
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:48:22 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:47 +0200
commitb5d97297174589b1a71bfc84716fa517856cd375 (patch)
treeece66597c1887c125fa8759341814d7bc69b860a /gettext-tools/tests/msgcomm-1
parentbaf90081d00284b8eb53be29d6cc88cc2175370d (diff)
downloadexternal_gettext-b5d97297174589b1a71bfc84716fa517856cd375.zip
external_gettext-b5d97297174589b1a71bfc84716fa517856cd375.tar.gz
external_gettext-b5d97297174589b1a71bfc84716fa517856cd375.tar.bz2
Move tests/msgcomm-1 to gettext-tools/tests/msgcomm-1.
Diffstat (limited to 'gettext-tools/tests/msgcomm-1')
-rwxr-xr-xgettext-tools/tests/msgcomm-143
1 files changed, 43 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-1 b/gettext-tools/tests/msgcomm-1
new file mode 100755
index 0000000..fc3ca31
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-1
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+# Test --more-than=0 option.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-test1.in1 mcomm-test1.in2"
+cat <<EOF > mcomm-test1.in1
+#: first.c:123
+msgid "1"
+msgstr "1x"
+EOF
+
+cat <<EOF > mcomm-test1.in2
+#: hunt.c:759
+msgid "2"
+msgstr "2x"
+EOF
+
+tmpfiles="$tmpfiles mcomm-test1.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} --more-than=0 -o mcomm-test1.out mcomm-test1.in1 mcomm-test1.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test1.ok"
+cat << EOF > mcomm-test1.ok
+#: first.c:123
+msgid "1"
+msgstr "1x"
+
+#: hunt.c:759
+msgid "2"
+msgstr "2x"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test1.ok mcomm-test1.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result